# Obliczamy wynik punktowy dla danej reki.
def wynik(reka):
  # Deklarujemy zmienne na liczbę punktów oraz liczbę asów.
  punkty = 0
  asy = 0

  # Dla każdej karty.
  for karta in reka:
    # Sprawdzamy czy ta karta jest pomiędzy 2 a 9.
    # Zwróć uwagę, że karta jest typu napis,
    # zatem 2 i 9 także muszą być napisami.
    if '2' <= karta <= '9':
      # Dodajemy wartość tej karty, którą otrzymujemy
      # poprzez zrzutowanie napisu na typ int.
      punkty += int(karta)
    # W przeciwnim wypadku, jeżeli karta jest asem.
    elif karta == 'A':
      # Dodajemy jeden do liczby punktów (który zawsze musimy wziąć).
      punkty += 1
      # Oraz dodajemy jeden do liczby asów.
      asy += 1
    else:
      # W przeciwnym wypadku mamy dziesiątkę,
      # waleta, damę, lub króla. Każda z tych
      # kart jest warta 10.
      punkty += 10

  # Teraz bierzemy większe wartości asów (11),
  # póki nie przekroczymy 21.
  while asy > 0 and punkty <= 11:
    asy -= 1
    punkty += 10

  # Finalnie funkcja zwraca liczbę punktów
  # w optymalnym wariancie.
  return punkty


# Wczytujemy liczbę graczy.
N = int(input())

# Wczytujemy ręce graczy oraz zapisujemy
# ich optymalne wyniki w liście `wyniki`.
wyniki = []
for i in range(N):
  reka = input()
  wynik_dla_reki = wynik(reka)
  wyniki.append(wynik_dla_reki)

# Szukamy najlepszego wyniku nie przekraczającego 21.
najlepszy_wynik = -1
for wynik in wyniki:
  # Rozpatrujemy tylko wyniki niewiększe od 21.
  if wynik <= 21:
    if wynik > najlepszy_wynik:
      najlepszy_wynik = wynik


# Teraz generujemy listę numerów zawodników,
# którzy są zwycięzcami.
zwyciezcy = []
for i in range(N):
  if wyniki[i] == najlepszy_wynik:
    # Zwróć uwagę, że zawodnicy są numerowani od 1 do N,
    # a w programie i jest od 0 do N - 1, zatem musimy dodać jeden.
    zwyciezcy.append(i + 1)

# Wypisz liczbę zwycięzców.
print(len(zwyciezcy))
# A następnie ich numery.
for zwyciezca in zwyciezcy:
  print(zwyciezca, end=' ')
print()
